This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 134980 - /etc/cron.daily/fixfiles.cron generates daily email
/etc/cron.daily/fixfiles.cron generates daily email
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-07 13:30 EDT by Orion Poplawski
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 11:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add minimal message body for all email. (461 bytes, patch)
2004-10-10 13:49 EDT, Terje Bless
no flags Details | Diff
Redirect /sbin/fixfiles STDOUT to /dev/null. (478 bytes, patch)
2004-10-10 14:14 EDT, Terje Bless
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2004-10-07 13:30:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I get the following email daily:

/etc/cron.daily/fixfiles.cron:

logging to /dev/null
Null message body; hope that's ok

This is annoying.  Email should only be generated if there is an issue.

Version-Release number of selected component (if applicable):
policycoreutils-1.17.5-6

How reproducible:
Always

Steps to Reproduce:
1. Install policycoreutils-1.17.5-6
2.
3.
    

Additional info:
Comment 1 Terje Bless 2004-10-10 13:49:09 EDT
Created attachment 104988 [details]
Add minimal message body for all email.

Attached a minimal patch to provide a message body on all email messages;
thus shutting up /bin/mail and avoiding cron sending out email about the
"null message body".
Comment 2 Terje Bless 2004-10-10 14:14:48 EDT
Created attachment 104989 [details]
Redirect /sbin/fixfiles STDOUT to /dev/null.

Primitive/brute-force patch to direct /sbin/fixfiles's warning when logging
to /dev/null to, uhm, /dev/null. :-)

This should probably be fixed in /sbin/fixfiles instead.
Comment 3 Daniel Walsh 2004-10-12 11:42:57 EDT
Null Message Patch added to policycoreutils-1_17_6-2

/sbin/fixfiles has been changed to no longer send anything to STDOUT.  
It now defaults to syslog unless an alternate log file is specified.

Also moved to cron.weekly.

Dan

Note You need to log in before you can comment on or make changes to this bug.